org.gnome.gtk

## Interface TreeSelection.Changed

- Enclosing class:
    TreeSelection

      public static interface TreeSelection.Changed

  Emitted when the selection state of the TreeView changes.

  Beware that this is considered a hint by GTK, so you sometimes get false positives or false negatives relative to how you are interpreting "change". You'll be calling `getSelected()` anyway, but it's a good idea to keep in mind that the state may not have changed in quite the way you think it might have. Have a look at the return from that method fairly closely to decide for yourself whether the selection has "changed" or not.

  The nonsense about the `TreeSelection.Changed` signal is supposedly due to the fact that there are multiple actors in the TreeModel environment, and both internal actions within GTK and events due to window manager activity can result in the signal being emitted. What a load of crap; either the selection changed or it didn't. Sorry we can't do better for you.

  Since:
    4.0.5
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onChanged(TreeSelection source)`

- - ### Method Detail

    - #### onChanged

          void onChanged(TreeSelection source)